ubiquity crashes after clicking "try ubuntu"

Bug #539827 reported by Bernard Decock on 2010-03-16
124
This bug affects 27 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Lucid
High
Unassigned

Bug Description

Binary package hint: ubiquity

Installer (Lucid 20100316) hangs after selecting language (Nederlands) due to crash in ubiquity

Mar 16 12:10:28 ubuntu ubiquity[2202]: log-output -t ubiquity laptop-detect
Mar 16 12:10:31 ubuntu ubiquity[2202]: switched to page language
Mar 16 12:10:34 ubuntu ubiquity[2202]: switched to page language
Mar 16 12:12:39 ubuntu localechooser: info: Language = 'nl'
Mar 16 12:12:39 ubuntu localechooser: info: line=nl;1;NL;UTF-8;nl_NL.UTF-8;;console-setup
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/language = 'nl'
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/locale = 'nl_NL.UTF-8'
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/fallbacklocale = 'nl_NL.UTF-8'
Mar 16 12:12:39 ubuntu localechooser: info: Default country = 'NL'
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/consoledisplay = 'console-setup'
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/country = 'NL'
Mar 16 12:12:39 ubuntu localechooser: info: Set debian-installer/locale = 'nl_NL.UTF-8'
Mar 16 12:12:39 ubuntu localechooser: info: Selected locale (debian-installer/locale) = 'nl_NL.UTF-8'
Mar 16 12:12:40 ubuntu ubiquity[2202]: log-output -t ubiquity fontconfig-voodoo --auto --force --quiet
Mar 16 12:12:41 ubuntu ubiquity[2202]: debconffilter_done: ubi-language (current: ubi-language)
Mar 16 12:12:41 ubuntu ubiquity[2202]: Step_before = stepLanguage
Mar 16 12:12:42 ubuntu clock-setup: Tue Mar 16 12:12:42 UTC 2010
Mar 16 12:12:42 ubuntu clock-setup: rdate: adjust local clock by 0.002244 seconds
Mar 16 12:14:50 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:14:50 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:14:50 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:14:50 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:14:50 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:14:50 ubuntu ubiquity[2202]:
Mar 16 12:14:52 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:14:52 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:14:52 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:14:52 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:14:52 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:14:52 ubuntu ubiquity[2202]:
Mar 16 12:14:52 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:14:52 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:14:52 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:14:52 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:14:52 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:14:52 ubuntu ubiquity[2202]:
Mar 16 12:14:58 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:14:58 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:14:58 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:14:58 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:14:58 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:14:58 ubuntu ubiquity[2202]:
Mar 16 12:15:09 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:15:09 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:15:09 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:15:09 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:15:09 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:15:09 ubuntu ubiquity[2202]:
Mar 16 12:15:09 ubuntu ubiquity[2202]: Exception in GTK frontend (invoking crash handler):
Mar 16 12:15:09 ubuntu ubiquity[2202]: Traceback (most recent call last):
Mar 16 12:15:09 ubuntu ubiquity[2202]: File "/usr/lib/ubiquity/plugins/ubi-language.py", line 125, in on_try_ubuntu_clicked
Mar 16 12:15:09 ubuntu ubiquity[2202]: self.controller.dbfilter.ok_handler()
Mar 16 12:15:09 ubuntu ubiquity[2202]: AttributeError: 'NoneType' object has no attribute 'ok_handler'
Mar 16 12:15:09 ubuntu ubiquity[2202]:
Mar 16 12:15:15 ubuntu ubiquity: perl: warning: Setting locale failed.
Mar 16 12:15:15 ubuntu ubiquity: perl: warning: Please check that your locale settings:
Mar 16 12:15:15 ubuntu ubiquity: #011LANGUAGE = "nl_NL.UTF-8",
Mar 16 12:15:15 ubuntu ubiquity: #011LC_ALL = (unset),
Mar 16 12:15:15 ubuntu ubiquity: #011LANG = "nl_NL.UTF-8"
Mar 16 12:15:15 ubuntu ubiquity: are supported and installed on your system.
Mar 16 12:15:15 ubuntu ubiquity: perl: warning: Falling back to the standard locale ("C").
Mar 16 12:15:15 ubuntu ubiquity: locale:

tags: added: iso-testing
Colin Watson (cjwatson) on 2010-03-18
Changed in ubiquity (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Colin Watson (cjwatson) on 2010-03-19
Changed in ubiquity (Ubuntu Lucid):
importance: Undecided → High
status: New → Triaged
Ryan Maki (ryan.maki) wrote :

I think the summary may be misleading, this doesn't just happen with "Try Ubuntu"

This seems to also occur if you select a language other than English when installing at the desktop, or select "Install Ubuntu 10.04" from the Install dialog at startup.

Steps to reproduce, using beta 1 desktop i386 iso:
1. Boot iso to Install (I used Virtual Box)
2. When the Install Ubuntu dialog opens select the "Update installer" link
3. Wait for the installer to update itself and restart
4. Select a language other than English.
4a. Note: I clicked on English then arrowed down through all of the languages, then clicked on Nederlands.
5. Click the "Install Ubuntu 10.04" button
5a. Click the "Forward/Vooruit" button when running on the desktop

Expected results:
Installer sets the clock, then proceeds with installation.

Actual results:
Installer sets the clock (perhaps?) and then hangs. The desktop gtk_ui can be closed with the window close button and will prompt for confirmation. It closes as expected.

Evan (ev) wrote :

Ryan,

It sounds like you have a different bug. Can you please run the installer in debug mode (`ubiquity -d` from a terminal window) until it hangs or crashes. Then press alt-f2 followed by `ubuntu-bug ubiquity` and enter.

This will file a new bug report and attach all of the logs that we need to debug it.

Thanks!

Evan (ev) wrote :

To get to the desktop in order to be able to do this, press a key at boot when you see the keyboard icon, then select "Try Ubuntu" option.

Evan (ev) wrote :

Bernard,

Are you able to reproduce this with the latest daily-live CD (http://cdimage.ubuntu.com/daily-live/current/)? If so, can you run the installer in debug mode for me?

When you see the "keyboard equals accessibility image", press a key to break into the CD boot options menu. From there, select a language, then arrow down to the "Install Ubuntu" option and press F6. Press escape to get out of the dialog that appears. A line of text should now be visible. Change "only-ubiquity" to "maybe-ubiquity" and add "debug-ubiquity" to the end. Press enter and the CD should continue booting.

Run through the install as you did before, but when it crashes and throws you back to the live CD desktop, hit alt-F2 and type `apport-collect 539827`. This will attach the debug logs to this bug report, which will give us a better understanding of what is failing here.

Thanks!

Bernard Decock (decockbernard) wrote :
Download full text (12.2 KiB)

Evan,

I tested the new build and I didn't encounter any problems with "try ubuntu" or "install ubuntu" keys (tested several times). I did find another bug which I can reproduce
each time (even in debugmode!). I you happen to click the "red cross" of the dialog (
be it by accident or intentionally, as I did) a new dialog pops up "Do you really want to quit the installation now?". If you click the cancel button, then system hangs.

I tried this condition in the debug-mode (start terminal, enter ubiquity -d). I dumped
the contents of the file /var/log/installer/debug at the end of the comment (apport
gave a problem)

Unfortunately
the call apport-collect 539827 yields the following message:

ubuntu@ubuntu:~$ apport-collect 539827
The authorization page:
   (https://edge.launchpad.net/+authorize-token?oauth_token=Q3qNdqbldTDHCQhMNVZq&allow_permission=WRITE_PRIVATE)
should be opening in your browser. After you have authorized
this program to access Launchpad on your behalf you should come
back here and press <Enter> to finish the authentication process.

Error connecting to Launchpad:
You can reset the credentials by removing the file "/home/ubuntu/.cache/apport/launchpad.credentials"
ubuntu@ubuntu:~$ rm /home/ubuntu/.cache/apport/launchpad.credentials
rm: cannot remove `/home/ubuntu/.cache/apport/launchpad.credentials': No such file or directory
ubuntu@ubuntu:~$

---
cat /var/log/installer/debug
Ubiquity 2.2.8
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:553: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:729: GtkWarning: gtk_widget_realize: assertion `GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed
  widget.realize()
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:722: Warning: g_object_get_qdata: assertion `G_IS_OBJECT (object)' failed
  unused = widget.get_image()
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:722: Warning: g_type_get_qdata: assertion `node != NULL' failed
  unused = widget.get_image()
Ubiquity 2.2.8
debconf (developer): <-- VERSION 2
debconf (developer): --> 0 2.0
debconf (developer): <-- CAPB
debconf (developer): --> 0 multiselect escape
debconf (developer): <-- GET oem-config/enable
debconf (developer): --> 10 oem-config/enable doesn't exist
debconf (developer): <-- GET ubiquity/automation_failure_command
debconf (developer): --> 0
debconf (developer): <-- GET ubiquity/failure_command
debconf (developer): --> 0
debconf (developer): <-- GET ubiquity/success_command
debconf (developer): --> 0
debconf (developer): <-- GET debian-installer/locale
debconf (developer): --> 0
debconf (developer): <-- GET debian-installer/fallbacklocale
debconf (developer): --> 0
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:553: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
debconf (developer): <-- VERSION 2
debconf (developer): --> 0 2.0
debconf (developer): <-- CAPB
debconf (developer): --> 0 multiselect escape
debconf (developer): <-- FSET localechooser/languagelist seen false
debconf (developer): --> 0 false
debconf (developer): <-- GET ubiquity/show_alpha_warning
debconf (developer): --> 0 false...

Bernard Decock (decockbernard) wrote :

More info : (after ubiquity hangs)

ubuntu@ubuntu:~$ ubiquity -d
Ubiquity is already running!

ubuntu@ubuntu:~$ ps -ef | grep ubiquity
root 3407 1 0 07:16 ? 00:00:00 udisks --inhibit -- /usr/lib/ubiquity/bin/ubiquity -d
ubuntu 3409 3407 0 07:16 ? 00:00:02 /usr/bin/python /usr/lib/ubiquity/bin/ubiquity -d
root 3433 3409 0 07:16 ? 00:00:00 /usr/bin/perl -w /usr/bin/debconf-communicate -fnoninteractive ubiquity
root 3435 3409 0 07:16 ? 00:00:00 log-output -t ubiquity --pass-stdout /usr/lib/ubiquity/localechooser/localechooser
root 3436 3435 0 07:16 ? 00:00:00 /bin/sh /usr/lib/ubiquity/localechooser/localechooser
ubuntu 4709 4679 0 07:48 pts/1 00:00:00 grep --color=auto ubiquity
ubuntu@ubuntu:~$

Please note that the operation {press red cross}{cancel} lets ubiquity hang during
each step!!

Bernard Decock (decockbernard) wrote :

Evan,

I did encounter some minor issues.

1. If the user presses the "v"- button. Then the dialog disappears from the screen. You can get this dialog back
by pressing "alt-tab". (This can be confusing for users that are not acquainted with shorts-cuts. It looks as
nothing can be done anymore).

2. At step 1, the dialog-dimensions are not sufficient to show the translated text for "update this installer". After
pressing the appropriate dialog-button (full screen - normal screen), the 2nd line is shown. If I select "Nederlands"
only the word "dit" is shown (which means "this" ...)

Bernard Decock (decockbernard) wrote :

Evan,

The sequence <Try ubuntu 10.04>
       then on the desktop <Install ubuntu 10.04>
       then press the red-cross-button => Do you really want to quit the installation now
       then press Esc or cancel => dialog disappears ??? (should return to the dialog where the red-cross
      was pressed)

Now press <Install ubuntu 10.04>
     nothing happens!! [an ubiquity-process is still running]

Bernard Decock (decockbernard) wrote :
Download full text (3.9 KiB)

I succeeded to hang ubiquity after a lot of attempts. However I can't generate this
behavior by means of the debug-mode.

Procedure :
Boot from live-cd
    WAIT A MINUTE (or more ?)
    From time to time, when pressing Install Ubuntu, the mouse-cursor starts to run,
        but the installer remains on the step first
    In this condition one can close the dialog and quit the installation

File /var/log/installer:

Ubiquity 2.2.8
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:553: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
Your console font configuration will be updated the next time your system
boots. If you want to update it now, run 'setupcon' from a virtual console.
update-initramfs is disabled since running on read-only media

Syslog:

ar 26 12:42:41 ubuntu rtkit-daemon[2205]: Watchdog thread running.
Mar 26 12:42:41 ubuntu rtkit-daemon[2205]: Canary thread running.
Mar 26 12:42:42 ubuntu polkitd[2209]: started daemon version 0.96 using authority implementation `local' version `0.96'
Mar 26 12:42:42 ubuntu ubiquity[2179]: log-output -t ubiquity laptop-detect
Mar 26 12:42:45 ubuntu ubiquity[2179]: switched to page language
Mar 26 12:42:49 ubuntu ubiquity[2179]: switched to page language
Mar 26 12:43:35 ubuntu localechooser: info: Language = 'en'
Mar 26 12:43:35 ubuntu localechooser: info: line=en;0;US;UTF-8;en_US.UTF-8;;console-setup
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/language = 'en'
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/locale = 'en_US.UTF-8'
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/fallbacklocale = 'en_US.UTF-8'
Mar 26 12:43:35 ubuntu localechooser: info: Default country = 'US'
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/consoledisplay = 'console-setup'
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/country = 'US'
Mar 26 12:43:35 ubuntu localechooser: info: Set debian-installer/locale = 'en_US.UTF-8'
Mar 26 12:43:35 ubuntu localechooser: info: Selected locale (debian-installer/locale) = 'en_US.UTF-8'
Mar 26 12:43:37 ubuntu ubiquity[2179]: debconffilter_done: ubi-language (current: ubi-language)
Mar 26 12:43:37 ubuntu ubiquity[2179]: Step_before = stepLanguage
Mar 26 12:43:37 ubuntu clock-setup: Fri Mar 26 12:43:37 UTC 2010
Mar 26 12:43:37 ubuntu clock-setup: rdate: adjust local clock by -0.001046 seconds
Mar 26 12:46:15 ubuntu ubiquity[2179]: log-output -t ubiquity setupcon --save-only
Mar 26 12:46:15 ubuntu ubiquity[2179]: log-output -t ubiquity udevadm trigger --subsystem-match=input --action=change
Mar 26 12:46:15 ubuntu ubiquity[2179]: log-output -t ubiquity udevadm settle
Mar 26 12:46:16 ubuntu ubiquity: debconf: DbDriver "targetdb": could not open /target/var/cache/debconf/config.dat
Mar 26 12:46:16 ubuntu ubiquity[2179]: log-output -t ubiquity debconf-copydb configdb targetdb -p ^console-setup/ --config=Name:targetdb --config=Driver:File --config=Filename:/target/var/cache/debconf/config.dat
Mar 26 12:46:16 ubuntu ubiquity: debconf: DbDriver "targetdb": could not open /target/var/cache/debconf/config.dat
Mar 26 12:46:16 ubuntu ubiquity[2179]: log-output -t ubiquity debconf-c...

Read more...

Evan (ev) wrote :

I've fixed the window manager buttons issue in trunk.

Evan (ev) wrote :

The window disappearing when you click on close is already fixed in trunk (what will be ubiquity 2.2.9).

Bernard Decock (decockbernard) wrote :
Download full text (8.7 KiB)

Now and then ubiquity seems to hang if one presses "install ubuntu" (after a pauze).
One can escape by pressing the red-cross on top of the dialog.

Message-log:

Mar 30 13:42:19 ubuntu ubiquity[2189]: Ubiquity 2.2.10
Mar 30 13:42:27 ubuntu ubiquity[2189]: switched to page language
Mar 30 13:42:31 ubuntu ubiquity[2189]: switched to page language
Mar 30 13:49:20 ubuntu localechooser: info: Language = 'nl'
Mar 30 13:49:20 ubuntu localechooser: info: line=nl;1;NL;UTF-8;nl_NL.UTF-8;;console-setup
Mar 30 13:49:20 ubuntu localechooser: info: Set debian-installer/language = 'nl'
Mar 30 13:49:20 ubuntu localechooser: info: Set debian-installer/locale = 'nl_NL.UTF-8'
Mar 30 13:49:20 ubuntu localechooser: info: Set debian-installer/fallbacklocale = 'nl_NL.UTF-8'
Mar 30 13:49:20 ubuntu localechooser: info: Default country = 'NL'
Mar 30 13:49:20 ubuntu localechooser: info: Set debian-installer/consoledisplay = 'console-setup'
Mar 30 13:49:20 ubuntu localechooser: info: Set debian-installer/country = 'NL'
Mar 30 13:49:21 ubuntu localechooser: info: Set debian-installer/locale = 'nl_NL.UTF-8'
Mar 30 13:49:21 ubuntu localechooser: info: Selected locale (debian-installer/locale) = 'nl_NL.UTF-8'
Mar 30 13:49:21 ubuntu ubiquity[2189]: log-output -t ubiquity fontconfig-voodoo --auto --force --quiet
Mar 30 13:49:22 ubuntu ubiquity[2189]: Step_before = stepLanguage
Mar 30 13:49:23 ubuntu clock-setup: Tue Mar 30 13:49:23 UTC 2010
Mar 30 13:49:23 ubuntu clock-setup: rdate: adjust local clock by 0.001972 seconds
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Setting locale failed.
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Please check that your locale settings:
Mar 30 13:51:06 ubuntu ubiquity: #011LANGUAGE = "nl_NL.UTF-8",
Mar 30 13:51:06 ubuntu ubiquity: #011LC_ALL = (unset),
Mar 30 13:51:06 ubuntu ubiquity: #011LANG = "nl_NL.UTF-8"
Mar 30 13:51:06 ubuntu ubiquity: are supported and installed on your system.
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Falling back to the standard locale ("C").
Mar 30 13:51:06 ubuntu ubiquity[2189]: log-output -t ubiquity setupcon --save-only
Mar 30 13:51:06 ubuntu ubiquity[2189]: log-output -t ubiquity udevadm trigger --subsystem-match=input --action=change
Mar 30 13:51:06 ubuntu ubiquity[2189]: log-output -t ubiquity udevadm settle
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Setting locale failed.
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Please check that your locale settings:
Mar 30 13:51:06 ubuntu ubiquity: #011LANGUAGE = "nl_NL.UTF-8",
Mar 30 13:51:06 ubuntu ubiquity: #011LC_ALL = (unset),
Mar 30 13:51:06 ubuntu ubiquity: #011LANG = "nl_NL.UTF-8"
Mar 30 13:51:06 ubuntu ubiquity: are supported and installed on your system.
Mar 30 13:51:06 ubuntu ubiquity: perl: warning: Falling back to the standard locale ("C").
Mar 30 13:51:06 ubuntu ubiquity: locale:
Mar 30 13:51:06 ubuntu ubiquity: Cannot set LC_CTYPE to default locale
Mar 30 13:51:06 ubuntu ubiquity: : No such file or directory
Mar 30 13:51:06 ubuntu ubiquity:
Mar 30 13:51:06 ubuntu ubiquity: locale:
Mar 30 13:51:06 ubuntu ubiquity: Cannot set LC_MESSAGES to default locale
Mar 30 13:51:06 ubuntu ubiquity: : No such file or directory
Mar 30 13...

Read more...

Bernard Decock (decockbernard) wrote :
Download full text (33.4 KiB)

When installation is started with appended boot-option debug-ubiquity

File \var\log\installer\debug :

Ubiquity 2.2.10
debconf (developer): <-- VERSION 2
debconf (developer): --> 0 2.0
debconf (developer): <-- CAPB
debconf (developer): --> 0 multiselect escape
debconf (developer): <-- GET oem-config/enable
debconf (developer): --> 10 oem-config/enable doesn't exist
debconf (developer): <-- GET ubiquity/automation_failure_command
debconf (developer): --> 0
debconf (developer): <-- GET ubiquity/failure_command
debconf (developer): --> 0
debconf (developer): <-- GET ubiquity/success_command
debconf (developer): --> 0
debconf (developer): <-- GET debian-installer/locale
debconf (developer): --> 0
debconf (developer): <-- GET debian-installer/fallbacklocale
debconf (developer): --> 0
/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py:556: GtkWarning: gtk_window_resize: assertion `width > 0' failed
  widget.resize(w, h)
debconf (developer): <-- VERSION 2
debconf (developer): --> 0 2.0
debconf (developer): <-- CAPB
debconf (developer): --> 0 multiselect escape
debconf (developer): <-- FSET localechooser/languagelist seen false
debconf (developer): --> 0 false
debconf (developer): <-- GET ubiquity/show_alpha_warning
debconf (developer): --> 0 false
Mar 30 14:24:39 ubiquity: Starting up '['log-output', '-t', 'ubiquity', '--pass-stdout', '/usr/lib/ubiquity/localechooser/localechooser']' for ubi-language.Page
Mar 30 14:24:39 ubiquity: Watching for question patterns localechooser/languagelist
debconf (developer): <-- CAPB escape
debconf (developer): --> 0 multiselect escape
Mar 30 14:24:39 debconf (filter): <-- CAPB backup
debconf (developer): <-- CAPB backup escape
debconf (developer): --> 0 multiselect escape
Mar 30 14:24:39 debconf (filter): <-- REGISTER debian-installer/language debconf/language
debconf (developer): <-- REGISTER debian-installer/language debconf/language
debconf (developer): --> 0
Mar 30 14:24:39 debconf (filter): <-- FGET localechooser/languagelist seen
debconf (developer): <-- FGET localechooser/languagelist seen
debconf (developer): --> 0 false
Mar 30 14:24:41 debconf (filter): <-- SUBST localechooser/languagelist CODES C, sq, am, ar, ast, eu, be, bn, bs, bg, ca, zh_CN, zh_TW, hr, cs, da, nl, dz, en, eo, et, fi, fr, gl, ka, de, el, gu, he, hi, hu, id, ga, it, ja, kk, km, ko, ku, lv, lt, mk, ml, mr, ne, se_NO, nb_NO, nn_NO, pl, pt, pt_BR, pa, ro, ru, sr, sk, sl, es, sv, tl, ta, th, tr, uk, vi, cy, wo
debconf (developer): <-- SUBST localechooser/languagelist CODES C,\ sq,\ am,\ ar,\ ast,\ eu,\ be,\ bn,\ bs,\ bg,\ ca,\ zh_CN,\ zh_TW,\ hr,\ cs,\ da,\ nl,\ dz,\ en,\ eo,\ et,\ fi,\ fr,\ gl,\ ka,\ de,\ el,\ gu,\ he,\ hi,\ hu,\ id,\ ga,\ it,\ ja,\ kk,\ km,\ ko,\ ku,\ lv,\ lt,\ mk,\ ml,\ mr,\ ne,\ se_NO,\ nb_NO,\ nn_NO,\ pl,\ pt,\ pt_BR,\ pa,\ ro,\ ru,\ sr,\ sk,\ sl,\ es,\ sv,\ tl,\ ta,\ th,\ tr,\ uk,\ vi,\ cy,\ wo
debconf (developer): --> 0
Mar 30 14:24:41 debconf (filter): <-- SUBST localechooser/languagelist NAMES_EN C, Albanian, Amharic, Arabic, Asturian, Basque, Belarusian, Bengali, Bosnian, Bulgarian, Catalan, Chinese (Simplified), Chinese (Traditional), Croatian, Czech, Danish, Dutch, Dzongkha, English, Esperanto, Estonian, F...

Evan (ev) wrote :

Can anyone that's seeing this bug please try with the latest daily-live CD (http://cdimage.ubuntu.com/daily-live) and let me know here whether or not the problem is fixed for you?

Note that you only have this bug if you see the following in your /var/log/installer/debug file:
AttributeError: 'NoneType' object has no attribute 'ok_handler'

If you do not have that error message in your /var/log/installer/debug file, then you have a different bug (that I'd appreciate you file separate from this bug report).

Thanks!

Changed in ubiquity (Ubuntu Lucid):
status: Triaged → Incomplete
Steve Langasek (vorlon) wrote :

Presuming fixed based on the bug log. If someone is still seeing this bug (as described by Evan in comment #14), please reopen; but in that case it's too late to fix now for beta2.

Changed in ubiquity (Ubuntu Lucid):
status: Incomplete → Fix Released
Peter Velosy (petervelosy) wrote :

I would add, that it happened to me with the final version as well! Clicked Try Ubuntu in the Live CD menu, then for about 5 minutes, nothing happened, although the system was / alive / , so the cursor was moving and all desktop elements were clickable. I had to click the red cross to exit, then clicked OK, finally the desktop was shown, but with the bug reporting tool showing an ubiquity crash.

Bernhard (b.a.koenig) wrote :

Can confirm the same thing as Peter Velosy. The bug is still present, I will set this to confirmed.

Bernhard (b.a.koenig) wrote :

Oops, I don't seem to have the rights to set this to "Confirmed", maybe somebody else can.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments